#module imports
from fielddisplay import fielddisplay

class qmu:
	#properties
	def __init__(self):
		# {{{ Properties
		self.isdakota                    = 0
		self.variables                   = {}
		self.responses                   = {}
		self.method                      = {}
		self.params                      = {}
		self.results                     = {}
		self.partition                   = float('NaN')
		self.numberofpartitions          = 0
		self.numberofresponses           = 0
		self.variabledescriptors         = []
		self.responsedescriptors         = []
		self.mass_flux_profile_directory = float('NaN')
		self.mass_flux_profiles          = float('NaN')
		self.mass_flux_segments          = []
		self.adjacency                   = float('NaN')
		self.vertex_weight               = float('NaN')

		#set defaults
		self.setdefaultparameters()

		#}}}
	def __repr__(obj):
		# {{{ Display
		string="   qmu parameters: not implemented yet!"
		return string
		#}}}
		
	def setdefaultparameters(obj):
		# {{{setdefaultparameters
		return obj
	#}}}

